# RHIZOM UI FRAMEWORK

A Angular UI component library that helps you quickly build Angular applications.

## Compatibility

The library is compatible with Angular 9+ versions.

## Setup

### Dependencies

The rhz-ui depends on third party libraries.<br>
Install and configure the following dependencies in your project:

```
"@angular/common"
"@angular/cdk"
"@angular/core"
"@angular/material"
"@fortawesome/fontawesome-free"
"bootstrap"
"ngx-image-cropper"
"ngx-quill"
"qrcode"
"quill"
```
Check [HERE](package.json) the packages versions.

### Installation

The rhz-ui can be installed with npm:

```
npm install rhz-ui@latest --save
```

### Import `RhzModule`

Then, import RhzModule into the root module (typically called AppModule) of your Angular app.

```
import { RhzModule } from 'rhz-ui';
...
imports: [
   BrowserModule,
   ...
   RhzModule.forRoot(),
   ...
],
```

Default settings can be changed in `RhzModule`:

```
import { RhzModule, IRhzConfig } from 'rhz-ui';

// Your custom configs
const rhzConfig: IRhzConfig = {};

...
imports: [
   BrowserModule,
   ...
   RhzModule.forRoot(rhzConfig),
   ...
],
```
Check [HERE](src/interfaces/rhz-config.interface.ts) all config properties.

### Load styles

It is necessary to import global library styles into your project.<br>
In the `style.scss` file, add lines:

```
@import "~rhz-ui/sass/vars/colors";
@import "~rhz-ui/sass/vars/vars";
@import "~rhz-ui/sass/rhz-sass";
```

### Load assets

The rhz-ui has assets, so it is necessary to make the configuration for the project to export these assets.<br>
In the `angular.json` file, add the line at `assets` options:

```
"assets": [...
	{ "glob": "**/*", "input": "node_modules/rhz-ui/assets", "output": "/assets/" }
...]
```

# License Information

Copyright © 2021 [Rhizom Foundation](https://rhizom.me/) and/or its subsidiaries or affiliates. All Rights Reserved.
<br><br><br>
