import { Injector } from '@angular/core';
/**
 * Class that contains common function used at systems, like alert functions
 */
export declare class RhzCommon {
    /**
     * Config service
     */
    private _configService;
    /**
     * Alert service
     */
    private _alertService;
    /**
     * Inject dependencies
     * @param injector: Injector
     */
    constructor(injector: Injector);
    /**
     * Show warning message alert
     * @param title: string
     * @param message: string
     */
    warning(title?: string, message?: string): void;
    /**
     * Used to show a error alert
     * @param title: string
     * @param message: string
     * @param callback: function
     */
    error(title?: string, message?: string, callback?: () => void): void;
    /**
     * Present a confirmation alert
     * @param title: string
     * @param message: string
     * @param confirmCallback: function
     * @param cancelCallback: function
     */
    confirm(title?: string, message?: string, confirmCallback?: () => any, cancelCallback?: () => any): void;
    /**
     * Present a confirmation alert
     * @param message: string
     */
    success(message?: string): void;
}
