import { AfterContentInit, ChangeDetectorRef, ElementRef, OnDestroy, QueryList } from '@angular/core';
import { RhzAlert } from '../../models/rhz-alert.model';
import { RhzAlertConfig } from '../../models/rhz-alert-config.model';
import { RhzAlertResult } from '../../models/rhz-alert-result.model';
import { RhzConfigService } from '../../../../services';
export declare class RhzAlertComponent implements AfterContentInit, OnDestroy {
    private _cdr;
    private _configService;
    /**
     * Rhz button element ref
     */
    buttons: QueryList<ElementRef>;
    /**
     * Controller
     * @private
     */
    private _alertCtrl;
    /**
     * Configurations
     */
    config: RhzAlertConfig;
    /**
     * Visibility controller
     * @private
     */
    private _show;
    /**
     * Toaster top position
     * @private
     */
    private _topPosition;
    /**
     * Config controller
     */
    private _configCtrl;
    /**
     * Inject dependencies
     * @param _cdr: ChangeDetectorRef
     * @param _configService: RhzConfigService
     */
    constructor(_cdr: ChangeDetectorRef, _configService: RhzConfigService);
    private get _hostClasses();
    private get _hostTopPosition();
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    /**
     * Set default alert config
     * @private
     */
    private _setDefaultConfig;
    /**
     * Set alert controller
     * @param ctrl
     */
    setCtrl(ctrl: RhzAlert): void;
    /**
     * Set configs
     * @param config: RhzAlertConfig
     */
    setConfig(config?: RhzAlertConfig): void;
    /**
     * Set toaster top position
     * @param position
     */
    setTopPosition(position: number): void;
    /**
     * Close alert and pass result
     * @param result: RhzAlertResult
     */
    close(result?: RhzAlertResult): void;
    /**
     * Show alert (enable css class)
     * @private
     */
    private _showAlert;
    /**
     * Set focus on first rhz button element
     * @private
     */
    private _setFocus;
    /**
     * Detect view changes
     * @private
     */
    private _detectChanges;
}
