import { ComponentRef } from '@angular/core';
import { RhzAlertComponent } from '../components/rhz-alert/rhz-alert.component';
import { RhzAlertConfig } from './rhz-alert-config.model';
import { RhzAlertResult } from './rhz-alert-result.model';
export declare class RhzAlert {
    private _alert;
    private _topPosition;
    private _config?;
    private _destroyCallback?;
    private _result$;
    /**
     * Constructor
     * @param _alert: ComponentRef<RhzAlertComponent>
     * @param _topPosition: number
     * @param _config: RhzAlertConfig
     * @param _destroyCallback: () => any
     */
    constructor(_alert: ComponentRef<RhzAlertComponent>, _topPosition: number, _config?: RhzAlertConfig, _destroyCallback?: () => any);
    /**
     * Close alert end pass result
     * @param result: RhzAlertResult
     */
    close(result: RhzAlertResult): void;
    /**
     * On close alert event
     * @return Promise<RhzAlertResult>
     */
    onClose(): Promise<RhzAlertResult>;
    /**
     * Remove instances and subscriptions
     * @private
     */
    private destroy$;
}
