import { ApplicationRef, ComponentFactoryResolver, Injector } from '@angular/core';
import { RhzAlert } from './models/rhz-alert.model';
import { RhzAlertConfig } from './models/rhz-alert-config.model';
export declare class RhzAlertService {
    private componentFactoryResolver;
    private injector;
    private appRef;
    /**
     * Container to render component
     * @private
     */
    private alertContainer;
    /**
     * Factory to create alert component
     * @private
     */
    private alertContainerFactory;
    /**
     * Active toasters displayed on screen
     * @private
     */
    private _activeToasters;
    /**
     * Inject dependencies
     * @param componentFactoryResolver: ComponentFactoryResolver
     * @param injector: Injector
     * @param appRef: ApplicationRef
     */
    constructor(componentFactoryResolver: ComponentFactoryResolver, injector: Injector, appRef: ApplicationRef);
    /**
     * Resolve alert component factory
     * @private
     */
    private _setupAlertContainerFactory;
    /**
     * Create container and append to body
     * @private
     */
    private _setupAlertContainerDiv;
    /**
     * Render component on app
     * @private
     */
    private _renderComponent;
    /**
     * Create alert component
     * @param config: RhzAlertConfig
     * @return RhzAlert
     */
    create(config?: RhzAlertConfig): RhzAlert;
}
