import { MatMenuTrigger } from '@angular/material/menu';
import { RhzButtonDropdown } from '../models/rhz-button.model';
export declare class RhzButtonDropdownComponent {
    /**
     * Menu trigger element ref
     */
    menuTrigger: MatMenuTrigger;
    /**
     * Dropdown menu items
     */
    dropdownItems: RhzButtonDropdown[];
    /**
     * Button color set
     * @param color: 'primary' | 'secondary' | 'danger' | 'light' | 'medium'
     */
    set color(color: 'primary' | 'secondary' | 'danger' | 'light' | 'medium');
    /**
     * Button fill style
     * @param fill: 'solid' | 'outline' | 'clean' | 'link'
     */
    set fill(fill: 'solid' | 'outline' | 'clean' | 'link');
    /**
     * Button mode
     * @param mode: 'normal' | 'big' | 'square'
     */
    set mode(mode: 'normal' | 'big' | 'square');
    /**
     * Dropdown menu width
     */
    dropdownWidth: number;
    /**
     * Btn color
     */
    _color: string;
    /**
     * Btn type
     */
    _type: string;
    /**
     * Btn fill
     */
    _fill: string;
    /**
     * Menu behavior control
     */
    private openMenuTimeout;
    /**
     * Defines whether the mouse is over the menu
     */
    private overMenu;
    get hostClasses(): string;
    onMouseEnter(): void;
    onMouseLEave(): void;
    /**
     * Open mat-menu
     * @param menuTrigger: MatMenuTrigger
     */
    openMenu(menuTrigger?: MatMenuTrigger): void;
    /**
     * Close mat-menu
     * @param menuTrigger: MatMenuTrigger
     */
    closeMenu(menuTrigger?: MatMenuTrigger): void;
    /**
     * Set mouse over on menu
     * @param value: boolean
     */
    setOverMenu(value: boolean): void;
}
