import { ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { RhzConfigService } from '../../services';
export declare class RhzColorSelectorComponent implements OnDestroy {
    private _configService;
    private _cdr;
    /**
     * Default colors
     */
    colors: string[];
    /**
     * Selected color
     */
    _selected: string;
    /**
     * Config controller
     */
    private _configCtrl;
    /**
     * Selected color input
     * @param color: string
     */
    set selected(color: string);
    /**
     * On select event emitter
     */
    onSelect: EventEmitter<string>;
    /**
     * Inject dependencies
     * @param _configService: RhzConfigService
     * @param _cdr: ChangeDetectorRef
     */
    constructor(_configService: RhzConfigService, _cdr: ChangeDetectorRef);
    private get _hostClasses();
    ngOnDestroy(): void;
    /**
     * Set default component config
     */
    private _setDefaultConfig;
    /**
     * Select color and emit event
     * @param color: string
     * @param valid: boolean
     */
    selectColor(color: string, valid?: boolean): void;
    /**
     * Check if color is selected
     * @param color: string
     */
    isSelected(color: string): boolean;
    /**
     * Detect view changes
     * @private
     */
    private _detectChanges;
}
