import { AfterViewChecked, ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
export declare class RhzMegaMenuComponent implements OnInit, AfterViewChecked, OnDestroy {
    private _cdr;
    /**
     * Click event emitter
     */
    onClick: EventEmitter<string>;
    /**
     * Component loaded control
     */
    loaded: boolean;
    /**
     * Inject dependencies
     * @param _cdr: ChangeDetectorRef
     */
    constructor(_cdr: ChangeDetectorRef);
    private get _hostClasses();
    /**
     * Init component
     */
    ngOnInit(): void;
    /**
     * Unblock page scroll
     */
    ngOnDestroy(): void;
    /**
     * Detect changes after view checked
     */
    ngAfterViewChecked(): void;
    /**
     * Emit click
     * @param position: string
     */
    doClick(position: string): void;
    /**
     * Block/unblock page scroll
     * @param lock: boolean
     * @private
     */
    private _pageScroll;
}
