import { AfterViewChecked, ChangeDetectorRef, ComponentFactory, ComponentRef } from '@angular/core';
import { RhzModal } from '../../models/rhz-modal.model';
export declare class RhzModalComponent implements AfterViewChecked {
    private _cdr;
    /**
     * Modal container template ref
     * @private
     */
    private modalContainer;
    /**
     * Modal reference
     * @private
     */
    private modalRef;
    /**
     * Component loaded control
     */
    modalLoaded: boolean;
    /**
     * Inject dependencies
     * @param _cdr: ChangeDetectorRef
     */
    constructor(_cdr: ChangeDetectorRef);
    /**
     * Detect changes after view checked
     */
    ngAfterViewChecked(): void;
    /**
     * Render modal at container
     * @param factory: ComponentFactory<T>
     */
    createModal<T extends RhzModal>(factory: ComponentFactory<T>): ComponentRef<T>;
    /**
     * Close modal
     */
    close(): void;
    /**
     * Loading control
     */
    isLoading(): boolean;
}
