import { ComponentRef, NgModuleRef } from '@angular/core';
import { RhzModal } from './rhz-modal.model';
import { RhzModalComponent } from '../components/rhz-modal/rhz-modal.component';
export declare class RhzModalRef {
    private modalContainer;
    private modal;
    private moduleRef;
    private activeModalCallback;
    private result$;
    /**
     * Inject dependencies
     * @param modalContainer: ComponentRef<RhzModalComponent>
     * @param modal: ComponentRef<RhzModal>
     * @param moduleRef: NgModuleRef<any>
     * @param activeModalCallback: () => any
     */
    constructor(modalContainer: ComponentRef<RhzModalComponent>, modal: ComponentRef<RhzModal>, moduleRef: NgModuleRef<any>, activeModalCallback: () => any);
    /**
     * Close modal end pass outputs
     * @param output: any
     */
    close(output?: any): void;
    /**
     * On close modal event
     */
    onClose(): Promise<any>;
    /**
     * Remove instances and subscriptions
     * @private
     */
    private destroy$;
}
