import { ElementRef, OnChanges, Renderer2 } from '@angular/core';
import { Observable } from 'rxjs';
export declare class RhzQRCodeComponent implements OnChanges {
    private renderer;
    /**
     * Value to be transformed into a QRCode
     */
    value: string;
    /**
     * QRCode margin
     */
    margin: number;
    /**
     * QRCOde scale
     */
    scale: number;
    /**
     * QRCode width
     */
    width: number;
    /**
     * QR Code color dark
     */
    colorDark: string;
    /**
     * QR Code color light
     */
    colorLight: string;
    /**
     * QR Code render element
     */
    qrElement: ElementRef;
    /**
     * Inject dependencies
     * @constructor
     * @param renderer: Renderer2
     */
    constructor(renderer: Renderer2);
    /**
     * Generate QR Code quehn changes
     */
    ngOnChanges(): void;
    /**
     * Create data url/base64
     */
    toDataURL(): Observable<any>;
    /**
     * Render QR to the Element
     * @param element: any
     */
    renderElement(element: any): void;
    /**
     * Create the QR Code and render at the element
     */
    createQRCode(): void;
    /**
     * Download QRCode as SVG
     * @param name: string
     */
    download(name?: string): void;
    /**
     * Open a new window with the qrCode and open the print modal
     * @param size: string
     */
    print(size?: string): void;
}
