import { EventEmitter } from '@angular/core';
export declare class RhzSearchbarComponent {
    /**
     * Search term
     */
    searchTerm: string;
    /**
     * Searchbar placeholder
     */
    placeholder: string;
    /**
     * Event will be called after each input value
     */
    onInput: EventEmitter<string>;
    /**
     * Event will be called after press enter key
     */
    onSearch: EventEmitter<string>;
    get hostClasses(): string;
    /**
     * Emit event on input
     * @param text input text
     */
    doInput(text?: string): void;
    /**
     * Emit event on enter press
     * @param text input text
     */
    doSearch(text?: string): void;
    /**
     * Clean input data
     */
    doClean(): void;
}
