import { AfterContentInit, Injector } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectorRadio } from './interfaces/selector-radio.interface';
export declare class RhzSelectorRadioComponent implements AfterContentInit, ControlValueAccessor {
    private injector;
    /**
     *
     * @param injector : Injector
     */
    constructor(injector: Injector);
    /**
     * Value
     */
    value: any;
    /**
     * Radio options
     */
    options: SelectorRadio[];
    multi: boolean;
    /**
     * After content init
     */
    ngAfterContentInit(): void;
    /**
     * Set the value filtered by value
     * @param value: any
     */
    private _setSelectedByValue;
    /**
     * Clean all selections
     */
    private _cleanSelections;
    /**
     * Get control value from ngControl
     */
    private _getControlValue;
    /**
     * Handle selection when its not multiple
     */
    private _handleSingleSelection;
    /**
     * Detect change value
     */
    onChange: any;
    /**
     * Select option on click
     */
    selectOption(index: number): void;
    /**
     * Write value
     */
    writeValue(obj: any): void;
    /**
     * Register on change
     */
    registerOnChange(fn: any): void;
    /**
     * Register on touched
     */
    registerOnTouched(fn: any): void;
    /**
     * Set disabled state
     */
    setDisabledState?(isDisabled: boolean): void;
}
