import { OnDestroy, TemplateRef } from '@angular/core';
import { RhzConfigService } from '../../../services';
export declare class RhzStepComponent implements OnDestroy {
    private _configService;
    /**
     * Content template reference
     */
    content: TemplateRef<any>;
    /**
     * Footer template reference
     */
    footer: TemplateRef<any>;
    /**
     * Step rhz-icon or Font awesome icon
     */
    icon: string;
    /**
     * Step title
     */
    title: string;
    /**
     * Invalid step control
     */
    invalid: boolean;
    /**
     * Step visibility control
     */
    hide: boolean;
    /**
     * Step disabled control
     */
    disabled: boolean;
    /**
     * Footer visibility control
     */
    showFooter: boolean;
    /**
     * Next button visibility control
     */
    showNextBtn: boolean;
    /**
     * Next button text
     */
    nextText: string;
    /**
     * Next button icon visibility control
     */
    showNextIcon: boolean;
    /**
     * Previous button visibility control
     */
    showPreviousBtn: boolean;
    /**
     * Previous button text
     */
    previousText: string;
    /**
     * Config controller
     */
    private _configCtrl;
    /**
     * Inject dependencies
     * @param _configService: RhzConfigService
     */
    constructor(_configService: RhzConfigService);
    private get _hostClasses();
    ngOnDestroy(): void;
    /**
     * Set default component texts
     */
    private _setDefaultConfig;
}
