import { EventEmitter, QueryList } from '@angular/core';
import { RhzStepComponent } from './rhz-step/rhz-step.component';
import { RhzStepTabComponent } from './rhz-step-tab/rhz-step-tab.component';
export declare class RhzStepsComponent {
    steps: QueryList<RhzStepComponent>;
    /**
     * Step change event emitter
     */
    onStepChange: EventEmitter<{
        step: number;
    }>;
    /**
     * On next step change event emitter
     */
    onNext: EventEmitter<{
        currentStep: number;
        targetStep: number;
    }>;
    /**
     * On previous step change event emitter
     */
    onPrevious: EventEmitter<{
        currentStep: number;
        targetStep: number;
    }>;
    /**
     * Selected step index
     */
    selectedIndex: number;
    private get _hostClasses();
    /**
     * Used to change step by index and emit event
     * @param idx: number
     * @param tab: RhzStepTabComponent
     */
    changeStep(idx: number, tab?: RhzStepTabComponent): void;
    /**
     * Move step to next enabled step
     * @param idx: number
     */
    moveNext(idx: number): void;
    /**
     * Move step to previous enabled step
     * @param idx: number
     */
    movePrevious(idx: number): void;
}
