import { RhzTableComponent } from '../rhz-table.component';
declare type RhzCellSizes = '0' | '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' | '10' | '11' | '12' | 'auto' | 'none';
export declare class RhzTableCellComponent {
    private _table;
    set size(value: RhzCellSizes);
    set sm(value: RhzCellSizes);
    set md(value: RhzCellSizes);
    set lg(value: RhzCellSizes);
    set xl(value: RhzCellSizes);
    set textAlign(value: 'left' | 'center' | 'right');
    label: string;
    /**
     * Cell responsive sizes
     */
    private _size;
    private _sm;
    private _md;
    private _lg;
    private _xl;
    /**
     * Cell text align
     */
    private _textAlign;
    private get _setHostClasses();
    private get _setTextAlign();
    /**
     * Inject dependencies
     * @param _table: RhzTableComponent
     */
    constructor(_table: RhzTableComponent);
    isSmallScreen(): boolean;
    isResponsiveEnabled(): boolean;
    getRowStyle(): string;
    private getSizes;
}
export {};
