import { OnDestroy } from '@angular/core';
import { RhzScreenSizeService } from '../../services';
export declare class RhzTableComponent implements OnDestroy {
    private _screenSize;
    /**
     * Responsive cell labels control
     */
    private _responsive;
    /**
     * Style control
     */
    private _style;
    /**
     * Used to verify is screen small
     */
    private _isSmallScreen;
    /**
     * Screen sizes subscription
     */
    private _screenSizesSubscription;
    /**
     * Inject dependencies
     * @param _screenSize: RhzScreenSizeService
     */
    constructor(_screenSize: RhzScreenSizeService);
    private get hostClasses();
    /**
     * Remove subscriptions
     */
    ngOnDestroy(): void;
    /**
     * Get table style
     * @private
     */
    private _getStyle;
    /**
     * Observe screen sizes
     * @private
     */
    private observerScreenSize;
    /**
     * Check if is small screen size
     */
    isSmallScreen(): boolean;
    /**
     * Check if responsive is enabled
     */
    isResponsiveEnabled(): boolean;
    /**
     * Get row style
     */
    getRowStyle(): string;
}
