import { Subject } from 'rxjs';
import { IRhzConfig } from '../interfaces';
export declare class RhzConfigService {
    private config;
    /**
     * Default configs
     */
    private _config;
    /**
     * Notify when config change
     */
    onConfigChange: Subject<void>;
    /**
     * Inject dependencies
     * @param config: IRhzConfig
     */
    constructor(config?: IRhzConfig);
    /**
     * Get RHZ configurations
     */
    getConfig(): IRhzConfig;
    /**
     * Set RHZ configurations
     * @param config: IRhzConfig
     */
    setConfig(config: IRhzConfig): void;
}
